# select-html

> A command-line tool to extract HTML using CSS selectors.

*AGPL-3.0-or-later*

```sh
# Use stdin to pipe HTML to select-html.
curl -s https://example.org | select-html

# Or use `--file`.
select-html --file 'example.html'

# Select and output HTML.
select-html 'title'

# Output only the inner text of selected elements.
select-html '.example' --text

# Output attribute values.
select-html '[property^="og:"]' -a 'property' -a 'content'
```

## Installation

You can download a precompiled executable from the [GitHub Releases] page, or install via [crates.io] (`cargo install select-html`).

[GitHub Releases]: https://github.com/Bauke/select-html/releases
[crates.io]: https://crates.io/crates/select-html

## `--help`

```
USAGE:
    select-html [OPTIONS] <SELECTOR>

ARGS:
    <SELECTOR>    The CSS selector to use

OPTIONS:
    -a, --attribute <ATTRIBUTE>    Output the attribute's value from the selected element, can be
                                   used multiple times
        --file <FILE>              A HTML file to read, if not specified stdin will be used instead
    -h, --help                     Print help information
    -t, --text                     Output inner text of the selected elements
        --trim                     Trim whitespace from selected items
    -V, --version                  Print version information
```
